function [ E ] = exp2en( skel,M )
%EXP2EN Summary of this function goes here
%   Detailed explanation goes here


for i=1:size(M,1)-1
    for j=4:3:size(M,2)
       
                
        R1 = RotationMatrix(M(i,j:j+2),'exponentialMap');
        angles1 = R1.GetEulerAngles();
        euler1 = -rad2deg(angles1(1,:));
        
        R2 = RotationMatrix(M(i+1,j:j+2),'exponentialMap');
        angles2 = R2.GetEulerAngles();
        euler2 = -rad2deg(angles2(1,:));
        
        E(i,floor(j/3)) = sqrt(sum((euler2 - euler1) .^ 2));
        
%         E(i,floor(j/3)) = sqrt(sum((M(i+1,j:j+2) - M(i,j:j+2)) .^ 2));
        
    end
end

end

